\hypertarget{group__signal__handling__functions}{}\doxysection{Signal Handing Functions}
\label{group__signal__handling__functions}\index{Signal Handing Functions@{Signal Handing Functions}}


Signal handing functions.  


Collaboration diagram for Signal Handing Functions\+:
\nopagebreak
\begin{figure}[H]
\begin{center}
\leavevmode
\includegraphics[width=350pt]{group__signal__handling__functions}
\end{center}
\end{figure}
\doxysubsection*{Modules}
\begin{DoxyCompactItemize}
\item 
\mbox{\hyperlink{group__misc__functions}{Miscellaneous Functions}}
\begin{DoxyCompactList}\small\item\em Miscellaneous functions. \end{DoxyCompactList}\end{DoxyCompactItemize}
\doxysubsection*{Functions}
\begin{DoxyCompactItemize}
\item 
nothing \mbox{\hyperlink{group__signal__handling__functions_gac05b9fa9ba1c302c9a34995573482a5f}{Qore\+::remove\+\_\+signal\+\_\+handler}} (softint signal)
\begin{DoxyCompactList}\small\item\em Removes a signal handler and returns the signal handling state to the default. \end{DoxyCompactList}\item 
nothing \mbox{\hyperlink{group__signal__handling__functions_ga28cf2a280f8c3c302eeac0a46030be2d}{Qore\+::set\+\_\+signal\+\_\+handler}} (softint signal, code f)
\begin{DoxyCompactList}\small\item\em Sets or replaces a signal handler according to the signal number and closure or call reference (function or object method reference) passed. \end{DoxyCompactList}\end{DoxyCompactItemize}


\doxysubsection{Detailed Description}
Signal handing functions. 



\doxysubsection{Function Documentation}
\mbox{\Hypertarget{group__signal__handling__functions_gac05b9fa9ba1c302c9a34995573482a5f}\label{group__signal__handling__functions_gac05b9fa9ba1c302c9a34995573482a5f}} 
\index{Signal Handing Functions@{Signal Handing Functions}!remove\_signal\_handler@{remove\_signal\_handler}}
\index{remove\_signal\_handler@{remove\_signal\_handler}!Signal Handing Functions@{Signal Handing Functions}}
\doxysubsubsection{\texorpdfstring{remove\_signal\_handler()}{remove\_signal\_handler()}}
{\footnotesize\ttfamily nothing Qore\+::remove\+\_\+signal\+\_\+handler (\begin{DoxyParamCaption}\item[{softint}]{signal }\end{DoxyParamCaption})}



Removes a signal handler and returns the signal handling state to the default. 

\begin{DoxyParagraph}{Platform Availability\+:}
\mbox{\hyperlink{group__option__constants_ga2b260e5d44de1d493adb8d97789f047f}{Qore\+::\+Option\+::\+H\+A\+V\+E\+\_\+\+S\+I\+G\+N\+A\+L\+\_\+\+H\+A\+N\+D\+L\+I\+NG}}
\end{DoxyParagraph}
\begin{DoxyParagraph}{Restrictions\+:}
\mbox{\hyperlink{group__parse__options_ga10d8e3f76c427b0f974529de572dd0ec}{Qore\+::\+P\+O\+\_\+\+N\+O\+\_\+\+P\+R\+O\+C\+E\+S\+S\+\_\+\+C\+O\+N\+T\+R\+OL}}
\end{DoxyParagraph}
By the time this function returns, changes to the signal handling thread have already been effected.


\begin{DoxyParams}{Parameters}
{\em signal} & The signal number to process, see \mbox{\hyperlink{group__signal__constants}{Signal Constants}} for possible values\\
\hline
\end{DoxyParams}
\begin{DoxyParagraph}{Example\+:}

\begin{DoxyCode}{0}
\DoxyCodeLine{\mbox{\hyperlink{group__signal__handling__functions_gac05b9fa9ba1c302c9a34995573482a5f}{remove\_signal\_handler}}(SIGINT);}
\end{DoxyCode}

\end{DoxyParagraph}
\begin{DoxySeeAlso}{See also}
\mbox{\hyperlink{signal_handling}{Signal Handling}} for more information 
\end{DoxySeeAlso}
\mbox{\Hypertarget{group__signal__handling__functions_ga28cf2a280f8c3c302eeac0a46030be2d}\label{group__signal__handling__functions_ga28cf2a280f8c3c302eeac0a46030be2d}} 
\index{Signal Handing Functions@{Signal Handing Functions}!set\_signal\_handler@{set\_signal\_handler}}
\index{set\_signal\_handler@{set\_signal\_handler}!Signal Handing Functions@{Signal Handing Functions}}
\doxysubsubsection{\texorpdfstring{set\_signal\_handler()}{set\_signal\_handler()}}
{\footnotesize\ttfamily nothing Qore\+::set\+\_\+signal\+\_\+handler (\begin{DoxyParamCaption}\item[{softint}]{signal,  }\item[{code}]{f }\end{DoxyParamCaption})}



Sets or replaces a signal handler according to the signal number and closure or call reference (function or object method reference) passed. 

\begin{DoxyParagraph}{Platform Availability\+:}
\mbox{\hyperlink{group__option__constants_ga2b260e5d44de1d493adb8d97789f047f}{Qore\+::\+Option\+::\+H\+A\+V\+E\+\_\+\+S\+I\+G\+N\+A\+L\+\_\+\+H\+A\+N\+D\+L\+I\+NG}}
\end{DoxyParagraph}
\begin{DoxyParagraph}{Restrictions\+:}
\mbox{\hyperlink{group__parse__options_ga10d8e3f76c427b0f974529de572dd0ec}{Qore\+::\+P\+O\+\_\+\+N\+O\+\_\+\+P\+R\+O\+C\+E\+S\+S\+\_\+\+C\+O\+N\+T\+R\+OL}}
\end{DoxyParagraph}
By the time this function returns, changes to the signal handling thread have already been effected.

When a signal is raised and the signal handler code is called, the signal number is passed as an integer argument to the signal handling code.


\begin{DoxyParams}{Parameters}
{\em signal} & The signal number to process, see \mbox{\hyperlink{group__signal__constants}{Signal Constants}} for possible values \\
\hline
{\em f} & The code to execute when the signal is caught; this should accept an integer argument giving the signal number\\
\hline
\end{DoxyParams}
\begin{DoxyParagraph}{Example\+:}

\begin{DoxyCode}{0}
\DoxyCodeLine{\mbox{\hyperlink{group__signal__handling__functions_ga28cf2a280f8c3c302eeac0a46030be2d}{set\_signal\_handler}}(SIGINT, \(\backslash\)signal\_handler());}
\end{DoxyCode}

\end{DoxyParagraph}
\begin{DoxySeeAlso}{See also}
\mbox{\hyperlink{signal_handling}{Signal Handling}} for more information 
\end{DoxySeeAlso}
